创建订单
POST /app/fuluSupply/storage/order| 字段 | 名称 | 类型 | 是否必须 |
| order_sn | 商城订单编号 | string | 是 |
| product_id | 中台商品id | int | 是 |
| sku_id | 中台规格id | int | 是 |
| buy_num | 购买数量 | int | 是 |
| customer_order_no | 外部订单编号 | string | 是 |
| charge_account | 充值账号 | string | 是 |
| 字段 | 名称 | |
| code | 0为成功其余都是失败 | |
| data | array | |
| msg | 提示语 |
data.Orders
| 字段 | 名称 | 类型 |
| id | 中台订单id | int |
| created_at | 创建时间 | int |
| updated_at | 修改时间 | int |
| order_sn | 中台订单编号 | int |
| third_order_sn | 第三方订单号 | int |
| gather_supply_sn | 供应链订单号 | int |
| gather_supply_type | 供应链类型id | int |
| title | 标题 | int |
| status | 订单状态 | int |
| amount | 订单总金额(分) | int |
| refund_amount | 退款金额(分) | int |
| item_amount | 商品市场价(分) | int |
| supply_amount | 供货金额(分) | int |
| cost_amount | 成本金额(分) | int |
| freight | 运费(分) | int |
| service_fee | 服务费(分) | int |
| goods_count | 商品总数 | int |
| send_status | 发货状态 0待发货1部分发货2已发货 | int |
| remark | 卖家留言 | string |
| note | 商家备注 | string |
| technical_services_fee | 技术服务费(分) | int |
| paid_at | 支付时间 | int |
| sent_at | 发货时间 | int |
| received_at | 完成时间 | int |
| closed_at | 关闭时间 | int |
| user_id | 会员id | int |
| supplier_id | 供应商id | int |
| gather_supply_id | 供应链id | int |
| trade_id | 交易id | int |
| pay_type_id | 支付方式id | int |
| can_refund | 是否可以退货(1是0否) | int |
| amount_detail | 订单支付明细 | array |
| options | 商品规格 | array |
| product | 商品详情 | 看商品部分API注释 |
| order_express | 配送信息 | array |
| user | 用户信息 | array |
| shipping_address | 收货信息 | array |
| supplier | 供应商信息 | array |
| gather_supply | 供应链信息 | array |
| pay_info | 支付信息 | array |
| button | 按钮组,可使用的功能 | array |
| shop_name | 店铺名称 | string |
| pay_type | 支付方式名称 | string |
| order_items | 子订单信息 | array |
amount_detail
| 字段 | 名称 | 类型 |
| title | 名称:订单总价 | string |
| amount | 价格 | int |
| qty | 数量 | int |
| amount_items | 费用详情 | array |
options
| 字段 | 名称 | 类型 |
| spec_name | 规格名称 | string |
| spec_item_name | 属性名称 | string |
amount_items
| 字段 | 名称 | 类型 |
| title | 名称:订单总价 | string |
| amount | 价格 | int |
| qty | 数量 | int |
| amount_items | 费用详情 | amount_items |
shipping_address
| 字段 | 名称 | 类型 |
| realname | 真实姓名 | string |
| mobile | 联系方式 | string |
| province | 省 | string |
| city | 市 | string |
| county | 区 | string |
| town | 街道 | string |
| detail | 详情 | string |
user
| 字段 | 名称 | 类型 |
| nickname | 昵称 | string |
| mobile | 手机号 | string |
| avatar | 头像 | string |
supplier
| 字段 | 名称 | 类型 |
| name | 供应商名称 | string |
order_items
| 字段 | 名称 | 类型 |
| id | 子订单ID | int |
|
title |
string | 商品名称 |
| sku_title | string | 商品sku名称 |
| price | string | 售价 |
| cost_amount | int | 成本 |
| supply_amount | int | 供货金额 |
| payment_amount | int | 均摊支付金额(分 |
| amount | int | 总价 |
| qty | int | 商品个数 |
| freight | int | 运费 |
| image_url | int | 商品图片 |
| supplier | array | 门店数据 只有名称和logo |
| gather_supply | array | 供应链数据 只有名称和logo |
| options | array | 商品规格已选 |
| user | array | 用户数据id和与会员等级 |
| product_id | array | 商品id |
| sku_id | array | 商品规格id |
| amount_detail | array | 金额信息 |
{ "code": 0, "data": { "Orders": [ { "id": 5049, "created_at": 1686555869, "updated_at": 1686555869, "order_sn": 185521150529, "third_order_sn": "SH202306121539", "gather_supply_sn": "", "gather_supply_msg": "", "gather_supply_type": 0, "key": "0-2-0-0", "title": "", "status": 0, "amount": 2063, "refund_amount": 0, "item_amount": 2063, "supply_amount": 2063, "cost_amount": 2039, "freight": 0, "service_fee": 0, "goods_count": 1, "send_status": 0, "refund_status": 1, "remark": "", "note": "", "technical_services_fee": 0, "paid_at": null, "sent_at": null, "received_at": null, "closed_at": null, "user_id": 0, "supplier_id": 0, "gather_supply_id": 2, "application_id": 1, "trade_id": 0, "pay_type_id": 0, "pay_info_id": 0, "shipping_method_id": 0, "shipping_address_id": 0, "send_type_id": 0, "comment_status": 0, "can_refund": 0, "lock": 0, "is_connection": 0, "amount_detail": { "title": "订单总价", "amount": 2063, "qty": 0, "desc": "", "amount_items": [ { "title": "商品总价", "amount": 2063, "qty": 0, "desc": "", "amount_items": null }, { "title": "技术服务费", "amount": 0, "qty": 0, "desc": "服务费比例0", "amount_items": null }, { "title": "总运费", "amount": 0, "qty": 0, "desc": "", "amount_items": null } ] }, "order_items": null, "order_express": { "id": 0, "created_at": null, "updated_at": null, "order_id": 0, "company_code": "", "express_no": "", "order_items": null, "is_empty": 0, "final_send": 0 }, "shipping_address": { "id": 0, "realname": "", "mobile": "", "country_id": 0, "province_id": 0, "city_id": 0, "county_id": 0, "town_id": 0, "province": "", "city": "", "county": "", "town": "", "detail": "", "lng": "", "lat": "" }, "order_bill": { "id": 0, "created_at": null, "updated_at": null, "type": 0, "account_type": 0, "person_name": "", "mobile": "", "company_name": "", "company_code": "", "email": "", "sign_address": "", "sign_mobile": "", "opening_bank": "", "bank_account": "", "detail_type": 0, "amount": 0, "address_id": 0, "applicant": "", "order_id": 0, "bill_id": 0, "status": 0, "drawer": 0 }, "technology_fee_bill": { "id": 0, "created_at": null, "updated_at": null, "order_id": 0, "bill_id": 0, "amount": 0, "status": 0 }, "is_update_shipping_address": 0, "is_cps": 0, "plugin_id": 0, "small_shop_id": 0, "jushuitan_bind": 0 } ] }, "msg": "操作成功"}